org.apache.hadoop.yarn.webapp.hamlet2

## Interface HamletSpec._Table

- All Superinterfaces:
    HamletSpec.__, HamletSpec._Child, HamletSpec._TableCol, HamletSpec._TableRow
  All Known Subinterfaces:
    HamletSpec.TABLE
  All Known Implementing Classes:
    Hamlet.TABLE
  Enclosing class:
    HamletSpec

      public static interface HamletSpec._Table
      extends HamletSpec._TableRow, HamletSpec._TableCol

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `HamletSpec.CAPTION` | `caption()` Add a CAPTION element.
    `HamletSpec._Table` | `caption(String cdata)` Add a CAPTION element.
    `HamletSpec.COLGROUP` | `colgroup()` Add a COLGROPU element.
    `HamletSpec.TBODY` | `tbody()` Add a tbody (table body) element.
    `HamletSpec.TBODY` | `tbody(String selector)` Add a TBODY element.
    `HamletSpec.TFOOT` | `tfoot()` Add a TFOOT element.
    `HamletSpec.TFOOT` | `tfoot(String selector)` Add a TFOOT element.
    `HamletSpec.THEAD` | `thead()` Add a THEAD element.
    `HamletSpec.THEAD` | `thead(String selector)` Add a THEAD element.

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec._TableRow

      `tr, tr`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec._TableCol

      `col, col`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec._Child

      `__`

- - ### Method Detail

    - #### caption

          HamletSpec.CAPTION caption()

      Add a CAPTION element.
      Returns:
        a new CAPTION element builder

    - #### caption

          HamletSpec._Table caption(String cdata)

      Add a CAPTION element.
      Parameters:
        `cdata` -
      Returns:
        the current element builder

    - #### colgroup

          HamletSpec.COLGROUP colgroup()

      Add a COLGROPU element.
      Returns:
        a new COLGROUP element builder

    - #### thead

          HamletSpec.THEAD thead()

      Add a THEAD element.
      Returns:
        a new THEAD element builder

    - #### thead

          HamletSpec.THEAD thead(String selector)

      Add a THEAD element.
      Parameters:
        `selector` - the css selector in the form of (#id)*(.class)*
      Returns:
        a new THEAD element builder

    - #### tfoot

          HamletSpec.TFOOT tfoot()

      Add a TFOOT element.
      Returns:
        a new TFOOT element builder

    - #### tfoot

          HamletSpec.TFOOT tfoot(String selector)

      Add a TFOOT element.
      Parameters:
        `selector` - the css selector in the form of (#id)*(.class)*
      Returns:
        a new TFOOT element builder

    - #### tbody

          HamletSpec.TBODY tbody()

      Add a tbody (table body) element. Must be after thead/tfoot and no tr at the same level.
      Returns:
        a new tbody element builder

    - #### tbody

          HamletSpec.TBODY tbody(String selector)

      Add a TBODY element.
      Parameters:
        `selector` - the css selector in the form of (#id)*(.class)*
      Returns:
        a new TBODY element builder

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.